Skip to main content
GET
/
v1
/
exports
/
{id}
Get Export
curl --request GET \
  --url https://api.withflex.com/v1/exports/{id} \
  --header 'Authorization: Bearer <token>'
{
  "export": {
    "export_id": "obj_01EXAMPLE00000000000000000",
    "description": "string",
    "type": "product",
    "status": "created",
    "created_at": "2024-01-01T00:00:00Z",
    "started_at": "2024-01-01T00:00:00Z",
    "completed_at": "2024-01-01T00:00:00Z",
    "metadata": {},
    "filters": {},
    "test_mode": false
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Path Parameters

id
string
required
Example:

"obj_01EXAMPLE00000000000000000"

Response

Success

export
object
required

Export defines the export_type and filters needed to export a file Export types are supported for Payments, Subscriptions, Customers, CheckoutSession

Example:
{
  "export_id": "obj_01EXAMPLE00000000000000000",
  "description": "string",
  "type": "product",
  "status": "created",
  "created_at": "2024-01-01T00:00:00Z",
  "started_at": "2024-01-01T00:00:00Z",
  "completed_at": "2024-01-01T00:00:00Z",
  "metadata": {},
  "filters": {
    "payment": { "limit": 0, "customer": "string" }
  },
  "test_mode": false
}